#standard equipment type config file
#    
#     MPPT Group
#
#     Constraint to the Solution config file:
#               Relevant Sampler List:  
#               Relevant Equipment List:	MPPT Group, Power System, AC Unit
#
# 
#

#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID    Group Type Flag	Type Name		Type Name Resource ID		Sampling Signal ID for Serial Number
2501	    0			Mppt		1				8

#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
36

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#SigID	Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range				Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
2		Solar Voltage			3			V		1				101			F			NA			NA			NA				0.0/600.0				W/L				NA			1			.1			NA
7		Solar Current			8			A		1				102			F			NA			NA			NA				0.0/350.0				W/L				NA			2			.1			NA
17		Current limit point		18			%		1				103			F			NA			NA			NA				0.0/130.0				W/L				NA			3		        .0			NA
4		Temperature			5			deg.C		1				104			F			NA			NA			NA				-50.0/100.0				NA				NA			4			.1			NA
1		Solar DC Status			2			NA		1				120			E			NA			NA			NA				[ID49=On]/[ID50=Off]			W/L				NA			5			NA			NA
11		Valid Rated Current		116			A		1				117			F			NA			NA			NA				0.0/200.0				W/L				NA		        10		        .1			NA
12		Solar Efficiency		117			NA		1				118			E			NA			NA			NA				[ID118=LT93]/[ID119=GT93]/[ID120=GT95]/[ID121=GT96]/[ID122=GT97]/[ID123=GT98]/[ID124=GT99]	NA	NA	11	NA			NA
13		Power limited for Solar		14			NA		1				119			E			NA			NA			NA				[ID39=Normal]/[ID40=Limited]		NA				NA			12		        NA			NA
14		Fan full speed status		15			NA		1				121			E			NA			NA			NA				[ID45=Normal]/[ID46=Full]		NA				NA		        13		        NA			NA
34		Solar Position No		97			NA		1				132			U			NA			NA			NA				1/999					NA				NA			15			NA			NA
8		Solar SN			9			NA		1				108			U			NA			NA			NA				NA					W/L				NA			17			08x			NA
9		Total Running Time		10			h		1				127			U			NA			NA			NA				0/400000				W/L				NA			18			NA			NA
6		Input Voltage			7			V		1				105			F			NA			NA			NA				NA					W/L				NA			19			.0			NA
3		Origin Current			4			A		1				102			F			NA			NA			NA				0.0/350.0				NA				NA			22			.1			NA
5		Used capacity			6			%		-1				-3			F			NA			NA			NA				0.0/130.0				W/L				NA			23			.1			NA
19		Solar Status			20			NA		1				111			E			NA			NA			NA				[ID51=Day]/[ID127=Night]		NA				NA			24		        NA			NA
20		Over temperature status		21			NA		1				125			E			NA			NA			NA				[ID53=Normal]/[ID54=Over temperature]	NA				NA			25			NA			NA
21		Solar Fault status		22			NA		1				113			E			NA			NA			NA				[ID55=Normal]/[ID56=Failure]   		NA				NA			26			NA			NA
22		Solar Protected status		23			NA		1				114			E			NA			NA			NA				[ID57=Normal]/[ID58=Protected]      	NA				NA			27			NA			NA
23		Fan failure status		24			NA		1				115			E			NA			NA			NA				[ID59=Normal]/[ID60=Failure] 		NA				NA			28			NA			NA
24		Current limit status		25			NA		-1				-3			E			NA			NA			NA				[ID61=Normal]/[ID62=Alarm]		NA				NA			29		        NA			NA
26		Solar High SN			84			NA		1				109			U			NA			NA			NA				NA					NA				NA			31			NA			NA
27		Solar Version			85			NA		1				126			U			NA			NA			NA				NA					NA				NA			32			NA			NA
29		Solar sharing current		87			NA		1				140			E			NA			NA			NA				[ID61=Normal]/[ID62=Alarm]		NA				NA			34			NA			NA
30		Over voltage status(DC)		89			NA		1				112			E			NA			NA			NA				[ID90=Normal]/[ID91=Over Voltage]	NA				NA			35			NA			NA
37		Barcode1			104			NA		1				134			U			NA			NA			NA				NA					NA				NA			37			NA			NA
38		Barcode2			105			NA		1				135			U			NA			NA			NA				NA					NA				NA			38			NA			NA
39		Barcode3			106			NA		1				136			U			NA			NA			NA				NA					NA				NA			39			NA			NA
40		Barcode4			107			NA		1				137			U			NA			NA			NA				NA					NA				NA			40			NA			NA
41		HVSD status			125			NA		-1				-3			E			NA			NA			NA				[ID61=Normal]/[ID62=Alarm]		NA				NA			41		        NA			NA
42		Input Current			128			A		1				107			F			NA			NA			NA				NA					W/L				NA			19			.0			NA
#Jimmy added this just for Solar position calculating
43		Solar LowSN(Internal Use)	9			NA		1		108			U			NA			NA			NA				NA					NA				NA			17			08x			NA
44		Input Power			129			W		1				129			F			NA			NA			NA				NA					W/L				NA			19			.0			NA
45		Input Not DC			130			NA		1				130			U			NA			NA			NA				NA					NA				NA			19			NA			NA
46		Output Power			131			W		1				131			F			NA			NA			NA				NA					W/L				NA			19			.0			NA
99		Communication Status		11			NA		1				110			E			NA			NA			NA				[ID113=OK]/[ID114=AllNoResponse]/[ID115=NoResponse]	NA		NA			21			NA			NA
100		Existence State			111			NA		1				139			E			NA			NA			NA				[ID109=On]/[ID110=Off]			NA				NA			39			NA			NA



                                                                                                                                                                                                                                                                                                                                                  
#2.2 Define the Control Signals                                                                                                                                                                                                                                                                                                                                                                                                 
[CTRL_SIGNAL_NUM]                                                                                                                                                                                                                                                                                                                                                                                                               
7

[CTRL_SIGNAL_INFO]
#SID	SigName				ResourceID		SigUnit		IndexofSamplerList			SamplerChannelID	SigValueType		ValueRange			ValueDisplayAttribute		ValueControlAttribute		ControlableExpression		AuthorityLevel		ValueDisplayID		ValueDisplayFormat	ControlChannelID	ControlStep		ControlParam	ControlExpression			OnControlAction		DispExp
1	DC On/Off Control		27			NA		1					120			E			[ID66=On]/[ID65=Off]		W/L				W/L				[0,0,99]<=1			O			26			NA			101			NA			NA		[0,ID73 = Open]/[1,ID74= Close]		NA			NA      
3	LED Control			29			NA		1					NA			E			[ID70=Cancel]/[ID69=Flash]	W/L				W/L				[0,0,99]<=1 & [2,2,7]==1	O			28			NA			103			NA			NA		[1,ID76=LED Control]			NA			NA
4	Solar Reset			30			NA		1					NA			E			[ID72=Reset]			W/L				W/L				[0,0,99]<=1			O			29			NA			104			NA			NA		[1,ID77=Solar Reset]		NA			NA
5	Solar Reset(for EEM)		126			NA		1					-4			E			[ID61=Normal]/[ID72=Reset]	NA				NA				[0,0,99]<=1			O			29			NA			-3			NA			NA		NA					[0,1,4] = 1		NA


#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
1

[SETTING_SIGNAL_INFO]
#SigID	Sig Name			Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range			Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression	Persistence Falg	On Control Action	Disp Exp
1	Solar Positon Setting		97			NA		-1				-3			U			1			1/99				W/L				W/L				1			E			1			NA			-3			1		NA			1			NA			NA	


#2.4 Define the Alarm Singals
[ALARM_NUM]
12

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name				Alarm Name Resource ID		Alarm Level	Alarm Expression		Alarm Delay	Suppressing Expression				Relay ID
1		AC Failure				31				MA		[0,0,19]==2			15		[3,3,26] |[2,3,2]			NA
2		Over temperature			21				MA		[0,0,20]==1			15		[0,3,9] | [2,3,2]				NA
3		Solar Failure     			22				MA		[0,0,21]==1|[0,0,41]==1		10		[0,3,9] | [2,3,2]				NA
4		Over-voltage               		34				MA		[0,0,30]==1			NA		[0,3,9] | [2,3,2]				NA
5		Solar protected    			23				OA		[0,0,22]==1			30		[0,3,9] | [2,3,2] | [0,3,1] | [0,3,14]		NA
6		Fan failure            			24				MA		[0,0,23]==1			NA		[0,3,9] | [2,3,2]				NA
7		Solar current limit alarm		37				NA		[0,0,24]==1			NA		[0,3,9] | [2,3,2]				NA
9		Solar no response			80				MA		[0,0,99]==2			NA		NA						NA
12		Power limited for Solar			14				OA		[0,0,13]==1			NA		[0,3,9] | [2,3,2] | [0,3,1] | [0,3,14]		NA
13		Solar sharing current alarm		88				OA		[0,0,29]==1			NA		[0,3,9] | [2,3,2]				NA
14		Input Under Voltage			96				NA		[0,0,19]==1			15		[3,3,26] | [0,3,9] | [2,3,2] | [0,3,1]		NA
15		Input Not DC				130				OA		[0,0,44]==1			5		NA						NA
